
                          Personal Editor 32
                          ==================

                    Home Page: http://www.pe32.com
                       e-Mail: pe32@pe32.com


                        History release notes
                        ---------------------

 Version 1.4.05
 --------------
 Added: Multi characters item selection in all dialog boxes.
 Added: Autocomplete with suggestion of possible matches in the command line.
 Added: Switch in "set commandline" to enable autocomplete and define the color.
 Fixed: After a reload is not possible to save a file in the split window.

 Version 1.4.04
 --------------
 Fixed: The [backtab word] command doesn't work at the beginning of the line.
 Fixed: Autocomplete doesn't work on the first syntax coloring file.
 Fixed: The locate highlight doesn't work if there is no scroll in the file.
 Fixed: The top and bottom of file lines can be highlighted.
 Fixed: Remarks starting before of the screen top line may not work.

 Version 1.4.03
 --------------

 Added: The syntax coloring commands now can define up to 20 different profiles.
 Added: "set currentline <on/off/toggle>" command to highlight the current line.
 Added: A "!" is added to the filename in the caption if the file is read only.
 Added: Use different codepages in different "SyntaxColoringSet" commands.
 Fixed: Remarks starting before of the screen top line are ignored.
 Fixed: PE32 is minimized when executed in full screen mode.
 Fixed: The files reload may leave read only files in the wrong state.
 Fixed: Invalid cursor line position if the .kwd file is not present.
 Fixed: "chars" and "words" commands are slow on big files.

 Version 1.4.02
 --------------

 Added: "x-<key>" defines to assign macro to the control+alt keys.
 Added: Open the context popup menu using the Windows keyboard special key.
 Added: "align tab" command to align the current line to the next tab position.
 Added: "align backtab" command to align the current line to the previous tab position.
 Added: "mark tab" command to align all marked lines to the next tab position.
 Added: "mark backtab" command to align all marked lines to the previous tab position.
 Added: "align block" command to align the block mark the beginning of the block.
 Added: "create table" command to create a table using delimiters and marked lines.
 Added: Empty locate command to switch off the found strings highlight.
 Added: An asterisk at the beginning of the modified filenames in the tabbed windows.
 Fixed: Profile file saved with tabs may report errors on some commands.
 Fixed: Tabbed windows and split screen may cause cursor problems.
 Fixed: Redefinition of shifted keys is not working with caps lock on.
 Fixed: Single [commands] cannot be executed in command line without square brackets.
 Fixed: Double request to reload a file in split mode.

 Version 1.4.01
 --------------

 Added: "set tabbed <on/off> <columns>" command to enable the tabbed windows.
 Added: "pe32 <file> [command]..." to run another copy of PE32 from the current one.
 Added: "[block from clipboard]" command to insert clipboard text as block mark.
 Added: "a-del" and "s-esc" keys definition.
 Fixed: The "SyntaxColoringSet" commands cannot be executed during the file switch.
 Fixed: Syntax errors loading pe32.pro saved with tabs.
 Fixed: "rtf" and "html" commands can change the file colors.
 Fixed: "prtsc" key definition is present for compatibility but is not working.
 Fixed: The maximum length of a command in the command line is now 1024 characters.
 Fixed: The maximum length of a file name in the dir dialog is now 255 characters.
 Fixed: Pressing enter in a empty command line moves the cursor in the data window.
 Fixed: Status line not restored in split screen mode.

 Version 1.3.08
 --------------

 Added: The "[split screen]" command lets you to modify the file in both windows.
 Added: The "save *" command to save all opened files.
 Added: The "file *" command to save all opened files and exit.
 Added: The "quit *" command to quit all opened files and exit.
 Added: Mark lines using the left mouse button and the shift key pressed.
 Added: Scroll pages using the mouse wheel and the shift key pressed.
 Added: "set openwith" command to associate PE32 with a list of extensions.
 Added: "set linesforward <value>" command to search forward for unknown words in
        the autocomplete command.
 Added: The "locate" command with the 's' and 'f' switches create a file called .found
        containing all the matched text.
 Added: "[linenum <expression>]" command to insert the line number in the file.
 Added: "[colnum <expression>]" command to insert the column number in the file.
 Added: Nested loops in the command line to repeat one or more instructions until
        a conditional command fails.  e.g.: "[top]{[l/abc/][right]'x'[down]}"
 Fixed: File scroll not regular using the mouse wheel.
 Fixed: Invalid reload file messages when the file is opened in read only mode.
 Fixed: No undo available for line format commands.
 Fixed: Save a file with "blankcompress" enabled changes a single blank in tab.
 Fixed: The command "save <file>" with "confirm" disabled ask for confirmation.

 Version 1.3.07
 --------------

 Added: "printdoc" command to print the file or the mark using custom page settings.
 Added: New "locate" 'g' switch to highlight all found strings.
 Added: The "set colors" command has 2 new parameters to define found strings colors.
 Fixed: Commands moving the cursor in command line don't work in context popup menu.
 Fixed: Keywords starting with '$' in the keyword files (.kwd?) are not loaded.

 Version 1.3.06
 --------------
 Added: "set charset oem/ansi" to set the charset used to display characters.
 Added: "set tabinsert on/off" to indent line using the tab key in insert mode.
 Added: "locate" and "change" '#' switch to show the number of found strings.
 Added: Improved "locate" and "change" searching and replacing expressions.
 Added: New "locate" 'l' switch to list all found lines and jump on it.
 Added: New sort 'k' parameter to remove lines with the same marked columns.
 Added: "set helpfile" command improved to run the .net document explorer.
 Fixed: "autocomplete" command didn't work with words beginning with numbers.
 Fixed: Wrong reload file message opening files with read only access.
 Fixed: Get word, autocomplete and expand commands don't use word delimiters.

 Version 1.3.05
 --------------
 Added: Context popup menu with the main commands using the right mouse button.
 Added: "set popupmenuon" command to enable context popup menu on mouse click.
 Added: "set expandon" command to enable synonyms auto expansion on space key.
 Added: "set autocompleteon" command to enable words auto completion on space key.
 Added: "set markon" command to enable text marking using arrow keys.
 Added: Use arrow keys and shift, ctrl or alt to mark the text under the cursor.
 Added: "repeat change" command to repeat the last "change" command executed.
 Added: "repeat locate" command to repeat the last "locate" command executed.
 Added: "align" command to align the current line to the cursor position.
 Added: "align mark" command to align all marked lines to the cursor position.
 Added: '-' command in the dir dialog to change the current directory.
 Fixed: Scroll of the screen buffer to see the cursor position.

 Version 1.3.04
 --------------
 Added: You can use the mouse in all dialog boxes (mru, dir, history, help, ...).
 Added: The new sort 'c' parameter removes all the duplicated lines.
 Added: You can delete the first or the last line of a mark without lose it.
 Added: The "dup line" command doesn't remove the mark if present.
 Added: The window close button is disabled to prevent loss of data.
 Fixed: The ascii code 194 (0xc2) in a macro executes the "delete all" command.
 Fixed: The current directory name is not updated in the top of the dir dialog box.
 Fixed: In overwrite mode a DBCS character delete the next DBCS character.

 Version 1.3.03
 --------------
 Added: IME input characters management (Double Byte Character Set).
 Added: "set carriagereturn on/off" to add or no the CR at the end of the line.
 Fixed: All marks use the last mark as the first if the cursor is above the first.
 Fixed: The "change" 'w' switch (whole word only) is not working.
 Added: The "locate/change" 'w' switch now uses the set delimiters characters.
 Added: New "locate/change" 'n' switch to search in not marked strings only.
 Fixed: "autocomplete" on file names removes the path and changes the current dir.
 Fixed: "next remark" and "prev remark" may skip remark on multi lines.
 Fixed: Defines and synonyms without any command after the equal sign are ignored.

 Version 1.3.02
 --------------
 Added: "lines" command to show the mark or the file number of lines.
 Added: "chars" command to show the mark or the file number of characters.
 Added: "words" command to show the mark or the file number of words.
 Added: "autocomplete" complete the command or the filename in the command line also.
 Added: "locate" switch 'r' to remove from the file all the lines with the string
        occurrence and copy them in the .found file.
 Added: "set", "def" and "syn" commands can be enclosed between square brackets.
 Added: "calc $row,col" to use the value at the file row and column in the
         calculation (if row or col are omitted the cursor position is used).
 Added: "calc <expr>=$row,col" to write the value of the expression at the file
         row and column (if row or col are omitted the cursor position is used).
 Fixed: Unable to copy command from the history box opened with the shift-down key.

 Version 1.3.01
 --------------
 Added: Pe32.msg file to modify or translate all editor messages.
 Added: 9 improved syntax coloring files.
 Added: 9 new national dictionaries for the spell checker.
 Added: "set display max" command to set the window dimensions to the maximum.
 Added: "set autosave <value>" command to set the number of seconds to run
        the automatic save of all modified files.
 Added: The "autocomplete" command now adds to the keyword list the unknown
        words also.
 Added: "set linesback <value>" command to search back for unknown words in
        the autocomplete command.
 Added: "html [<filename>]" command to convert the current file in html format.
 Added: "[copy to clipboard]" of an html file insert the text in html format.
 Added: "rtf [<filename>]" command to convert the current file in rich text format.
 Added: "[copy to clipboard]" of an rtf file insert the text in rich text format.
 Added: "append <filename>" command to append marked text to the filename.
 Added: "append to clipboard" command to append marked text to the clipboard.
 Added: "[invertcase]" command to invert the case of all marked characters.
 Added: "[capitalize]" command to capitalize the case of all marked characters.
 Added: "locate" switch '*' to search for the last occurrence of a string.
 Added: Open up to 1024 files in the same working session.
 Added: Unzip32.dll version 5.5 support.
 Added: Error and input box colors are the inverse of the dialog box colors.
 Fixed: Shift operations at the end of a big file take a lot of time.

 Version 1.2.05
 --------------
 Added: Multiple ftp files editing and directories browsing.
 Added: "set showbookmarks <on/off>" command to show or no the bookmarks.
 Added: "set locateswitch" command to set the default "locate" command switches.
 Added: "set changeswitch" command to set the default "change" command switches.
 Added: New "change" and "locate" 'c' switch to come back in the command line.
 Added: New "change" and "locate" 'h', 't' and 'b' switches to show the string
        in the center, or in the top or in the bottom of the screen.
 Added: "Rubout join" command to delete the prev. char and join at begin line.
 Added: "Delete join" command to delete the current char and join at end line.
 Fixed: PE32 message box cuts the long strings.

 Version 1.2.04
 --------------
 Added: "set syntaxcoloringpro <file>" command to load different profile files
        for every file extension.
 Added: The file bookmarks are saved and restored when the file is opened.
 Added: "vbsrun" command without parameters shows all existing *.vbs files.
 Added: "vbsexec" command without parameters shows all loaded vbs functions.
 Added: "Pe32.GetString(title, string)" vbs command to input a string.
 Added: "Pe32.GetEnv(variable)" vbs command to read an environment variable.
 Added: "[next keyword]" command to move the cursor to the next keyword.
 Added: "[next unknown]" command to move the cursor to the next unknown word.
 Added: "[next string]" command to move the cursor to the next string.
 Added: "[next number]" command to move the cursor to the next number.
 Added: "[next remark]" command to move the cursor to the next remark.
 Added: "[next separator]" command to move the cursor to the next separator.
 Added: "[prev keyword]" command to move the cursor to the previous keyword.
 Added: "[prev unknown]" command to move the cursor to the previous unknown word.
 Added: "[prev string]" command to move the cursor to the previous string.
 Added: "[prev number]" command to move the cursor to the previous number.
 Added: "[prev remark]" command to move the cursor to the previous remark.
 Added: "[prev separator]" command to move the cursor to the previous separator.
 Added: "[end keyword]" command to move cursor to the end of the keyword.
 Added: "[end unknown]" command to move cursor to the end of the unknown word.
 Added: "[end string]" command to move cursor to the end of the string.
 Added: "[end number]" command to move cursor to the end of the number.
 Added: "[end remark]" command to move cursor to the end of the remark.
 Added: "[end separator]" command to move cursor to the end of the separator.
 Added: "[begin keyword]" command to move cursor to the begin of the keyword.
 Added: "[begin unknown]" command to move cursor to the begin of the unknown word.
 Added: "[begin string]" command to move cursor to the begin of the string.
 Added: "[begin number]" command to move cursor to the begin of the number.
 Added: "[begin remark]" command to move cursor to the begin of the remark.
 Added: "[begin separator]" command to move cursor to the begin of the separator.
 Added: "[learn]" command to add a keyword to the current keywords file.
 Added: "dos" command executes the shell command in a different console window.
 Added: "pathname" command to insert the current path name in the file.
 Fixed: The sort command doesn't accept parameters in a macro.
 Fixed: The sort command modifies read only files also.
 Fixed: A "set margins" without paragraph margin use the left margin value.
 Fixed: The "line <nr>" command moves the cursor to the first column also.
 Fixed: The "wordwrap" command is active in the command line also.
 Fixed: The separator character in "change" and "locate" commands is the first
        non space character after the command.
 Fixed: The "indent" command doesn't move to the paragraph margin if the
        previous line is empty.

 Version 1.2.03
 --------------
 Added: "set codepage <number>" command to manage codepage.
 Added: "set borders <characters>" command to change menu borders.
 Added: "set cursor <size> <size>" command to change cursor sizes.
 Added: "bookmarks" command to manage file bookmarks.
 Added: Bookmark positions in the file are highlighted.
 Added: Vbs mark info functions work with the mark in the command line.
 Added: All PE32 commands included in profile files are executed at load time.
 Added: "Workspace <name>" create a new workspace or list through the created.
 Added: Workspace files (.pe32) are executed when are opened and saved at exit.
 Added: "edit <file.pe32> i" edit a workspace file instead of open it (ignore).
 Added: Help, set, keys and synonyms show the nearest commands in a dialog.
 Added: Date days and months names follow the international settings.
 Added: "line <row> <col>" now can move cursor to columns also.
 Fixed: When PE32 exits the previous colors setting are restored.
 Fixed: "set printer" command can accept printer names included in double quote.
 Fixed: Plus key in the mru dialog doesn't update the screen.
 Fixed: Some "[key <key>]" commands may wait for a key press to continue the
         macro execution.

 Version 1.2.02
 --------------
 Added: "sort" command to sort file lines at the column specified.
 Added: "calc" without parameter use the marked text as an expression.
 Added: "calc +-*/" execute the operation in the marked text.
 Added: "[trim ...]" operations work in the marked text also.
 Added: "set vbsload <file>" to load another script file after pe32.vbs.
 Added: "set SyntaxColoringSet <commands>" to run different set commands for
         every colored file.
 Added: Many new PE32 properties are available in Vbs script.
 Added: Windows Script Host Object Model now available in Vbs script.
 Added: "quit y" command to skip the quit confirmation on modified files.
 Fixed: Vbs script files load time decreased by 400%.
 Fixed: pe32.GetMarkedLine redefine the marked text.

 Version 1.2.01
 --------------
 Added: Edit and save ascii files compressed in a zip archive.
 Added: Create zip archives and extract files from a zip archive.
 Added: Files loading and saving messages.
 Added: "set VbsTimeout <nr>" command to set the vbs command timeout.
 Added: "set VbsRefresh <on/off>" to enable/disable the refresh during vbs.
 Added: "set margins" fourth parameter to set the maximum columns in a line.
 Added: Cursor as vertical scroll bar in the status line.
 Added: "set statusline" fifth parameter to enable the vertical scroll bar.
 Added: Click on the status line to change the file current line.
 Added: Position of the current file and total files number in the status line.
 Added: Global and local variables management in import commands.
 Added: Vertical scroll of the file using mouse wheel when available.
 Added: Reload the modified files when the editor takes the focus.
 Added: "set WheelScrollLine <nr>" command to set the mouse wheel scroll.
 Added: "run <macro>" command now manages all commands.
 Added: The current file name is added to the caption in window mode.
 Added: The caption file name is followed by an '*' if the file is modified.
 Added: "[fill mark 'x']" and "[bookmark set/goto/remove 'x']".
 Fixed: The command line is not shown in case of "set oncommand off".
 Fixed: A rename on a read only file updates its read only state.
 Fixed: A remark command "[* comment]" fails from the command line.
 Fixed: After a VBS message box the focus come back to PE32.
 Fixed: "begin mark" and "end makr" don't work with mark in the command line.
 Fixed: Block mark with the mouse doesn't work if cursor is on the command line.
 Fixed: Move mark inside the same mark doesn't work as expected.
 Fixed: PE32 commands from vbs don't work if the cursor on the command line.
 Fixed: Vbs commands don't restore correctly the cursor position.
 Fixed: Vbs pe32.line and pe32.word commands modify a read only file.

 Version 1.1.27
 --------------
 Added: "Syn" command to create user defined macro synonyms.
 Added: "[expand]" command to expand synonyms in the file data window.
 Added: "[import <file>]" command to import data in the current macro code.
 Added: Input, if/else/endif and pe commands management in the imported data.
 Added: Calc command to evaluate expression in the imported data.
 Added: Partial commands history if the command line is not empty.
 Added: With the mouse you can select and run commands within the menu.
 Added: Line number on the error messages during the profile file load.
 Added: "Demo step" command for an easy macro debug.
 Added: "Help <key> or <syn>" expands the full command in the command line.
 Added: Improved PE32 load speed (in case of big .kwd files).
 Fixed: "[escape]" command let's the user to enter any keys.
 Fixed: Pop mark command aborts if the line with the mark doesn't exist.
 Fixed: File rename maps the right syntax coloring to the new filename.
 Fixed: The opened files order follows the right sequence.
 Fixed: The "dir" command fails to list directories with the extension.
 Fixed: The "cd" command fails if the dir is included in double quotes.
 Fixed: "Def" and "set" commands fail if included in double quotes.
 Fixed: "[mark char]" marks empty lines also.
 Fixed: Marks cannot be redefined after the use.
 Fixed: A-digit key macros don't work in Windows 9x if caps lock is on.
 Fixed: A file with read only permission cannot be opened in read only mode.

 Version 1.1.26
 --------------
 Added: Open command to switch, save or quit opened files.
 Added: "[key <key> <nr>]" to repeat <nr> times the same key command.
 Added: "set blankcompress <on/off>" to save tabs or not.
 Added: File/save commands Tabs/Notabs switch.
 Added: "[clear message]" to clear the message in the status bar.
 Added: "[clear marks]" to clear all marks.
 Added: "[redraw]" to refresh the current file window.
 Added: "[demo fast/slow/end]" to emulate PE2 demo commands.
 Added: "[null]" to do nothing.
 Added: Define command length up to 1024 characters.
 Added: Macro define/load/write has no maximum commands length.
 Added: New PE32 parameters and switches management.
 Fixed: Stream and rect mark definition and management problems.
 Fixed: Shift left and right commands problems.
 Fixed: Mouse movement and marking problems.

 Version 1.1.25
 --------------
 Added: "set delimiters" to set the word delimiter characters.
 Added: "[scrollup/scrolldown/scrollleft/scrollright]" commands.
 Added: "[left edge]" and "[right edge]" commands.
 Added: "[left margin]" and "[right margin]" commands.
 Added: "set tabexpand <col>" to set the tab columns expansion.
 Added: "e .keydefs" list all set commands also.
 Added: /p<profile path> as parameter to set the profile file name.
 Added: Switch in "set commandline" to set the cursor position on arrow keys.
 Added: The "locate" or "change" with the I switch don't abort the current macro.
 Added: Error messages in the status line if in full screen mode.
 Fixed: Slow cursor flash in NT or 2000 console window.
 Fixed: Slow mark operations on big files.
 Fixed: "set display large/small font" command compatibility.
 Fixed: "[ascii code]" doesn't work in macros or in profile file.
 Fixed: plus/minus and padplus/padminus have the same behavior.
 Fixed: "[paragraph margin]" move cursor to the left margin.
 Fixed: The "locate" or "change" failure abort the current macro execution.
 Fixed: "set linetrim off" added to disable line trim.
 Fixed: "[up/down/... <nr>]" doesn't work from command line.
 Fixed: "c-ins" and "u-ins" (instead of insert) added for compatibility.
 Fixed: "[l/]/]" now supported if defined as "["l/]/"]".
 Fixed: Invalid redo of a delete line command.

 Version 1.1.24
 --------------
 Added: Multiple syntax coloring settings and keywords files.
 Fixed: Open a file using the long file name syntax (\\pc\dir\file) doesn't
        work in the 1.1.23 version.
 Fixed: The caps lock in some national keyboards doesn't work correctly in
        Windows 95.

 Version 1.1.23
 --------------
 Added: PE32 <wildcard filename> in command line to open more files.
 Added: "edit <wildcard filename>" command to open more files.
 Added: /R after the filename in command line to open the file in read only.
 Added: "load <filename>" command to load a macro from the filename.
 Added: "run <filename>" command to load and execute a macro from the filename.
 Added: "write <filename>" command to write the current macro in the filename.
 Added: "? char" command to display current char ascii code.
 Added: "[ascii code]" command to insert the char with the ascii code.

 Version 1.1.22
 --------------
 Added: Menu to execute all PE32 commands and instructions.
 Added: "set OnMenu on/off" to open the commands menu at load time.
 Added: Word wrap move the cursor to the left margin.
 Fixed: "[quit]" from PE32 parameter doesn't work correctly.
 Fixed: "[cursor command]" from PE32 parameter doesn't work correctly.

 Version 1.1.21
 --------------
 Added: Calc <expression> command to evaluate expressions.
 Added: "[up/down/page up/page down/top/bottom all]" work on all files.
 Added: 'o' parameter in the "locate" and "change" commands: on all file.
 Added: 'f' parameter in the "locate" command: create a file called .found
        with all lines containing the matched text.
 Fixed: Search 's' option copy one char more in the mark buffer.
 Fixed: Some messages in the status line disappear with no key pressed.
 Fixed: Copy from clipboard of big lines may crash the editor.

 Version 1.1.20
 --------------
 Added: 'p' parameter in the "change" command: prompt on replace.
 Added: 'a' parameter in the "change" command: change on all opened files.
 Added: 's' parameter in the "locate" command: mark matched text.
 Added: 'a' parameter in the "locate" command: search on all opened files.
 Added: "[bookmark set/goto/remove]" commands to manage bookmarks.
 Added: Window update two times faster.
 Added: Open multiple files from the command line.
 Added: Open up to 256 files in the same working session.
 Added: All buffers history increased to 256 items.
 Added: All dialogs dimensions are in relation with the screen size.
 Added: Insert in dir dialogs copy all information in a .dir file.
 Added: "set statusline on/off colors" enable, disable or set status line.
 Added: "set commandline on/off" enable or disable the command line.
 Added: "set oncommand on/off" move or no the cursor in the command line.
 Added: "set bkspinfreespace on/off" enable/dis. the backspace in free space.
 Added: "set eof on/off" add or no the CTRL+Z at the end of the file.
 Added: "set linefeed on/off" add or no the LF at the end of the line.
 Added: "set wordwrap on/off" enable or disable word wrap at the end of line.
 Added: "set uppercase on/off" change or no to upper case all characters.
 Added: "set tabs pos ... pos" set user configurable tab positions.
 Added: "set margins left right paragraph" paragraph used in reformat.
 Fixed: Some VBSript commands don't set the file modified flag.

 Version 1.1.12
 --------------
 Added: "[repeat command]" to repeat the last command executed.
 Added: "Quit all" to quit all opened files.
 Added: Multiple commands execution in the same line or VBScript command.
 Fixed: Syntax coloring few bugs.

 Version 1.1.11
 --------------
 Added: "set encryption on/off" command to encrypt the current file.
 Added: "VbsExec" command to execute Visual Basic Script commands.
 Added: "VbsRun" command to execute Visual Basic Script files.
 Added: Pe32.vbs file to load Visual Basic Script procedures.
 Added: Get and set PE32 attributes from Visual Basic Script commands.
 Added: Six new "set date" command attributes.
 Added: The cursor moves at the last position on file already opened.
 Added: "set restorecursor on/off" to enable cursor position restore.
 Fixed: Dir command doesn't work on subdirectory.

 Version 1.0.92
 --------------
 Added: Help <set commands> instruction to show current set parameters.
 Added: Macro <file> doesn't overwrite keys setting not present in the file.
 Fixed: Macro <file> load lines with blanks at the beginning.
 Fixed: Vertical split doesn't work if columns number is not equal 80.

 Version 1.0.91
 --------------
 Added: "set date" command to set the date format string.
 Added: "set time" command to set the time format string.
 Added: "[time]" and "[date]" commands to display time and date.
 Added: "set confirm on/off" command to enable file overwrite message.
 Added: "set insert on/off" command to enable insert mode at load time.

 Version 1.0.90
 --------------
 Added: "[split screen]" divide the console in 2 horizontal and vertical views
        with a single file only (the second view is in read only mode).
 Added: "[edit]" move cursor to the next file in the current view.
 Added: "[next window]" move cursor to the next view.
 Added: "[next view]" move cursor to the next view with the same current file.
 Added: A 250Kb PE32.KWD file with all C++, MFC and 32 bit API keywords.

 Version 1.0.89
 --------------
 Added: "[context help]" command to open the configured help file on the
        current word.
 Added: "[autocomplete]" command to complete the current word with the
        most similar one searched in the keyword file.
 Added: New system keywords section in the PE32.KWD file and in the
        "set syntaxcoloring" command.
 Added: "set printer default" to use the system default printer.
 Added: Long filenames are condensed in the status line.
 Fixed: The "[copy from clipboard]" command doesn't work if tabs are present
        in the clipboard text.
 Fixed: The reformat and trim commands don't set the modified file flag.
 Fixed: The ALT+Keypad sequence doesn't work in the 1.0.85 release.

 Version 1.0.85
 --------------
 Added: "edit <filename> r" open the file in read only.
 Added: "view <filename>" open the file in read only.
 Added: "[split screen]" divide the console in 2 horizontal and vertical views
        if more than 2 files are opened.
 Added: "[edit]" move cursor to the next view if more views are present.
 Added: "[next window]" move cursor to the next couple of visible views.
 Added: "[zoom window]" return console to a single view.
 Added: Save and File with a file name need confirm to overwrite the file.
 Added: In the dir and mru dialogs the '/' key open the file in view mode.
 Added: CTRL+C in dir, history and mru dialogs copy the item into the clipboard.
 Fixed: A change in a mark replace all file occurrences if mark not exist.
 Fixed: "[insert line]" instruction doesn't move cursor to the begin of line.
 Fixed: "[copy mark]" in a line mark remove the mark.
 Fixed: Some national keys (alt-gr) are not displayed in Windows 95/98.

 Version 1.0.80
 --------------
 Added: "set LineTrim" instruction remove blanks from file lines.
 Added: "e .keydefs" shows key macro assignments.
 Added: "e -" shows the previous file.
 Added: "[paragraph margin]" move cursor to the left margin.
 Added: "[indent]" move cursor to the left margin.
 Added: "[reflow]" align marked lines to left and right margins.
 Added: "[justify line]" align the line to the right margin.
 Added: "[justify paragraph]" align the paragraph to the right margin.
 Added: "[justify all]" align all lines to the right margin.
 Added: "[reformat paragraph]" align paragraph to left and right margins.
 Added: "[reformat all]" align all lines to left and right margins.
 Added: "[trim leading]" remove leading blank from current line.
 Added: "[trim trailing]" remove trailing blank from current line.
 Added: "[trim compress]" remove multiple blank from current line.
 Fixed: "[fill mark]" works on marked lines.
 Fixed: "[fill mark]" 'key' use the key to fill the mark.
 Fixed: "[center in margins]" use left margin correctly.

 Version 1.0.79
 --------------
 Added: Commands help on help or ? command.
 Added: Plus and multiply keypad keys open files in dir dialog box.
 Fixed: History from command line doesn't show the selected command.

 Version 1.0.76
 --------------
 Added: Command history, most recent used files and dir dialogs.
 Added: "set colors ... <dialog back> <dialog fore>" attributes to set the
        new dialog colors.
 Added: Dir <pathname> <filters...> to add files filtering.
 Added: History command to open the commands history dialog box.
 Added: Mru command to open the most recent used files dialog box.

 Version 1.0.66
 --------------
 Added: Uppercase/Lowercase in line mark.
 Added: "set HistoryOn <ScrollLockOn,ScrollLockOff,Shift,Control,Alt>"
 Added: "[Prev History]" and "[Next History]" commands.

 Version 1.0.65
 --------------
 Added: History on command line (active when scroll lock is on).
 Added: "mail <address> <object> [attachment]" Send an e-mail from PE32.
 Added: "[Delete all]" Delete all lines.
 Added: Personal Editor 32 screen size fit the parent console size.
 Fixed: Console screen size not restored on exit.
 Fixed: Delete mark without selection delete the current line.
 Fixed: An operation on a mark that ends in the last line split the last line.
 Fixed: Delete line from command line doesn't refresh the display.
 Fixed: Unmark and pop mark don't refresh the display.
 Fixed: Exit from Personal Editor 32 leaving the cursor hide.

 Version 1.0.60
 --------------
 Added: อออ Top of file อออ and อออ Bottom of file อออ
 Fixed: A remark in C starting the next char after a ; is not colored.
 Fixed: A copy mark in the command line invalidate next commands.

 Version 1.0.56
 --------------
 Fixed: Some national keyboard keys don't work as expected.

 Version 1.0.55
 --------------
 Added: System command to execute shell programs.
 Fixed: The alt-gr key combination doesn't work in some national keyboard.
 Fixed: An alt-gr key that doesn't match a key displays a strange character.
 Fixed: Command line redraw needed after a command "[execute]".

 Version 1.0.52
 --------------
 Added: About/Ver : show about box with license info

 Version 1.0.50
 --------------
 Added: First release available on the web.


 Known bugs
 ----------
 . The Visual Basic Script commands may not be enabled if you haven't the
   administrator rights.
 . In Win95 the mouse cursor is not moved to the display corner.
 . In Win95 the window size is not correctly restored after the program quit.
 . In Win95 if you create link to the Personal Editor 32 executable file
   (pe32.exe) the system use conagent.exe to run it and the program will work
   slowly. To avoid this problem create a .pif (or a .bat file that call pe32)
   and create a link to it.
 . In Win95/98/Me the paste command (invoked by right-clicking the window icon)
   doesn't work if the Allow Fast Paste option in the Misc. tab of the
   properties window is checked.
 . In Win95 the icon present in the pe32.exe file is not available.
 . In Win95/98/Me and some NT versions the console codepages are not managed.


 Pe commands not implemented
 ---------------------------
 <set searchcase any/exact>  => See the 'e' switch in the locate/change commands.
 <set abbrev on/off>  => Now always on.
 <set hscroll on/off>  => Now always on.
 <set backup number>  => See the <set backup extensions> command.
 <e .unnamed>  => Ignored. Now 255 levels undo command is present.
 [confirm change]  => Ignored. See the 'p' switch in the change command.

